# Changelog

# 1.1.3

- [Frederik Feichtmeier](https://github.com/Feichtmeier)
  - CompactLayout: expose extended property (#205)
- [J-P Nurmi](https://github.com/jpnurmi)
  - Master-detail: use the new page transitions in yaru.dart (#204)
- [Paul Kepinski](https://github.com/Jupi007)
  - Fix Flutter 3.3 deprecations (#199)

# 1.1.2

- [Frederik Feichtmeier](https://github.com/Feichtmeier)
  - WideLayout: icon and text color improvements
  - Fix wide layout text regression
  - YaruBanner: add optional width parameter
  - YaruBanner: add more subtitle freedom
  - YaruBanner: make the hover color gray
  - YaruBanner: wrap inkwell in material for zindex

- [Paul Kepinski](https://github.com/Jupi007)
  - Add new YaruPageItemTitle widget
  - Move widgets to subfolders
  - Export inner_border_radius.dart
  - Add correct favicons and change meta title
  - Add icons for the web PWA
  - Move tests to subfolders
  - Flutter 3.1 deprecations
  - Improve BorderRadius extension
  - Order yaru_widgets exports

# 1.1.1

- [Frederik Feichtmeier](https://github.com/Feichtmeier)
  - Add AppBanner from the software app (#170)
  - Make YaruNarrowLayout build less complicated (#168)
  - YaruSearchBar: improve sizes and constraints (#166)
  - Example: update icon and name (#163)
  - Web build should be used in Pages (#162)
  - Give YaruTabbedPage index on rebuild (#160)
  - Activate useful linter rules (#158)
  - Make row widgets configurable (#156)
  - YaruPage: add scrollcontroller parameter (#155)

# 1.1.0

- [Paul Kepinski](https://github.com/Jupi007)
  - YaruExpandable: add onChange callback (#149)
  - Introduce YaruDraggable widget (#142)
- [Frederik Feichtmeier](https://github.com/Feichtmeier)
  - NarrowLayout: fix item widget if selected (#153)
  - YaruExpandable: increase button size (#151)
  - YaruExpansionPanel: use Object.hash (#150)
  - WideLayout: fallback to itemWIdget (#148)
  - YaruDialogTitle: use YaruRoundIconButton (#147)
  - Add YaruRoundIconButton and get rid of IconButtons (#146)
  - YaruDialogTitle: fix for material3 (#145)
  - YaruExpandable: add optional isExpanded parameter (#144)
  - YaruCompactLayout: Allow optional Widgets as Icons (#143)

# 1.0.13

- [Paul Kepinski](https://github.com/Jupi007)
  - Add new YaruExpandable widget (#140)
  - YaruCarousel: add navigation controls (#139)
  - YaruCarousel: use grey for unselected dots (#138)
  - YaruCarousel: many improvements (#137)
  - YaruCarousel: fix text indicator (#133)
  - Add viewportFraction option to YaruCarousel (#132)
  - YaruCarousel: use size transform animation (#131)
- [Frederik Feichtmeier](https://github.com/Feichtmeier)
  - Add YaruRoundToggleButton (#141)
  - NarrowLayout: Use Text.data for item label (#136)
  - YaruCarousel: option to change margin (#135)
  - Compact /NarrowLayout: control bottom nav behavior (#134)

# 1.0.12

- [Paul Kepinski](https://github.com/Jupi007)
  - YaruCarousel: auto hide indicator if child length = 1 (#130)

# 1.0.11

- [Frederik Feichtmeier](https://github.com/Feichtmeier)
  - YaruWideLayout: improve navigationrail theme (#129)

# 1.0.10

- [Frederik Feichtmeier](https://github.com/Feichtmeier)
  -  YaruCompactLayout: make labels showing an option (#125)

# 1.0.9

- [Michał](https://github.com/mivoligo)
  - Allow custom content padding (#107)
- [Frederik Feichtmeier](https://github.com/Feichtmeier)
  - Improve navigationrail in yaru_wide_layout (#122)
  - Example: use handy window (#121)
  - Add YaruCompactLayout (#120)
- [Paul Kepinski](https://github.com/Jupi007)
  - Carousel improvements  (#123)
  - Fix "accessability" typo in example (#119)
  - YaruSelectableContainer fix border-radius (#118)
  - YaruCarousel: allow more actions (#117)
  - Yaru progress indicator (#116)
  - Fix color_disk_page (#115)

# 1.0.8

- [Frederik Feichtmeier](https://github.com/Feichtmeier)
  - Add YaruColorDisk (#112)

# 1.0.7

- [Frederik Feichtmeier](https://github.com/Feichtmeier)
  - YaruCarousel: allow any widgets in the carousel (#109)
  - YaruCarousel: put indicator dots in expanded (#100)
- [Joshua Peisach](https://github.com/ItzSwirlz)
  - Add ubuntu logo as a widget (#108)
- [Michał](https://github.com/mivoligo)
  - Slider (#105)
- [James Leahy](https://github.com/defuncart)
  - Remove unused params. (#102)
  - Bugfix/example carousel page selectable container page image asset path (#101)

# 1.0.6

- [Frederik Feichtmeier](https://github.com/Feichtmeier)
  - Adapt radii to yaru and remove optioncard (#98)
  - Titlebuilder (#97)
  - YaruSection: allow without headline (#96)

# 1.0.5

- [Frederik Feichtmeier](https://github.com/Feichtmeier)
  - ListTiles: reduce visual density (#94)

# 1.0.4

- [Frederik Feichtmeier](https://github.com/Feichtmeier)
  - Add yaru carousel (#89)
  - Remove hardcoded search (#87)

# 1.0.3

- [Frederik Feichtmeier](https://github.com/Feichtmeier)
  - Let the Theme decide on AppBar heights (#84)
  - Example: wrap container in a GridView (#83)
  - Make YaruListTile optional (#82)
  - YaruSearchAppBar: default to theme's appbar height (#81)
  - Update README.md (#80)
  - Example: exchange emojis and use assets for web (#79)
  - Example: organize and split (#77)
  - YaruAlertDialog: more freedom for the content (#74)
- [James Leahy](https://github.com/defuncart)
  - Fix url (#75)

# 1.0.2

- [Frederik Feichtmeier](https://github.com/Feichtmeier)
  - Rename YaruImageTile to YaruSelectableContainer
    which takes Widgets as its Child rather than Images (#69)

# 1.0.1

- [Frederik Feichtmeier](https://github.com/Feichtmeier)
  - Rename ImageTile to YaruImageTile

# 1.0.0

- this is the initial release of yaru_widgets.dart 🎉, it adds:
  - YaruRow
  - YaruSection
  - YaruPageItem
  - YaruMasterDetailPage
  - YaruPage
  - YaruAlertDialog
  - YaruCheckBoxRow
  - YaruColorPickerButton
  - YaruDialogTitle
  - YaruExpansionPanelList
  - YaruExtraOptionRow
  - YaruImageTile
  - YaruLandscapeLayout
  - YaruLinearProgressIndicator
  - YaruNarrowLayout
  - YaruOptionButton
  - YaruOptionCard
  - YaruPortraitLayout
  - YaruSearchAppBar
  - YaruSimpleDialog
  - YaruSliderRow
  - YaruSwitchRow
  - YaruTabbedPage
  - YaruToggleButtonsRow
  - YaruWideLayout
- Thanks to our contributors
  - [Shan Shaji](https://github.com/shan-shaji)
  - [mivoligo](https://github.com/mivoligo)
  - [Paul Kepinski](https://github.com/Jupi007)
